%global pypi_name ptyprocess

Name:           python-%{pypi_name}
Version:        0.5
Release:        1
Group:          Development/Python
Summary:        Run a subprocess in a pseudo terminal
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python3-devel

%description
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%package -n     python3-%{pypi_name}
Summary:        Run a subprocess in a pseudo terminal

%description -n python3-%{pypi_name}
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%prep
%setup -qn %{pypi_name}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
python3 setup.py install --skip-build --root %{buildroot}
popd

python setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{py_puresitedir}/%{pypi_name}
%{py_puresitedir}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc 
%{py3_puresitedir}/%{pypi_name}
%{py3_puresitedir}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog

* Tue Jan 19 2016 Denis Silakov <dsilakov@gmail.com> 0.5-1
- (7defeff) Imported from SRPM


